Page MenuHomePhabricator

Updates to user pages for all users
Closed, ResolvedPublic5 Estimate Story Points

Description

Description

On user pages all users will see the "User page" and "Talk" tabs, and the Contributions icon will be part of the toolbar. Also, the toolbar on the User talk page should match the toolbar on the User page. The Uploads link is no longer available as a result of T233985.

Designs

current non-AMC (for reference)updated (all users)updated user talk (all users)

Acceptance Criteria

  • AMC user pages remains as is
  • All users on user pages/user talk pages see contributions icon in toolbar and "User page" and "Talk" tabs
  • The toolbar on the User talk page matches the toolbar on the User page

Developer notes

Our configuration flags don't seem to work here to make this a simple change unfortunately.
The tabs feature (wgMinervaTalkAtTop) cannot be turned on on just one page - it has to be turned on everywhere. We already do this for special pages though so editing logic should be straight forward.

	/**
	 * @param bool $hasPageActions
	 * @param SkinOptions $skinOptions
	 * @return bool
	 */
	private function showTalkTabs( $hasPageActions, SkinOptions $skinOptions ) {
		$hasTalkTabs = $hasPageActions && !$this->isMainPageTalk;
		if ( !$hasTalkTabs && $this->isSpecialPage &&
			 $skinOptions->get( SkinOptions::TABS_ON_SPECIALS ) ) {
			$hasTalkTabs = true;
		}
		return $hasTalkTabs;
	}

Note: The upload link will be dropped. That's okay.

The contributions link is added (I think?) inside includes/menu/PageActions/ToolbarBuilder.php and possibly tied to the overflow mode.

if ( $userPageWithOveflowMode ) {
        // User links are hidden when Overflow menu is visible. We want to show Contributions
        // link on toolbar only when overflow is visible
        $group->insertEntry( $this->createContributionsPageAction() );
}

QA Steps

General Steps

  • Ensure that the following items are in both toolbars and that they link to the right place:

User page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User:OVasileva_(WMF)
    • when amc: /w/index.php?title=User:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF);
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User:OVasileva_(WMF)&oldid=2708261
    • What links here => /wiki/Special:WhatLinksHere/User:OVasileva_(WMF)

User talk page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User_Talk:OVasileva_(WMF)
    • when amc: /w/index.php?title=User_talk:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF)
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User_talk:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User_talk:OVasileva_(WMF)&oldid=3555778
    • What links here => /wiki/Special:WhatLinksHere/User_talk:OVasileva_(WMF)

When Anon

When logged in

When AMC turned on

QA results

Details

Related Gerrit Patches:

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
ovasileva triaged this task as Medium priority.Sep 12 2019, 1:16 PM
Jdlrobson updated the task description. (Show Details)Sep 13 2019, 9:05 PM
Jdlrobson assigned this task to ovasileva.EditedSep 13 2019, 9:12 PM
Jdlrobson added a subscriber: Jdlrobson.

@ovasileva @alexhollender how do you feel about removing the uploads page altogether?
This page only exists in mobile and was added for the upload feature [[ The https://www.mediawiki.org/wiki/Reading/Web/Release_timeline#August_5 | in 2014 ]] on mobile that has long been disabled - it's not shown in desktop and the code is neglected and in a sorry brittle state (see code coverage report in
https://doc.wikimedia.org/MobileFrontend/master/js/lcov-report/mobile.special.uploads.scripts/index.html). From an editing perspective it's a vanity page at best and doesn't prove useful (Special:Contributions can be used to access file uploads and https://en.m.wikipedia.org/wiki/Special:ListFiles is a much more powerful page).

From a user perspective, it's a little confusing as there is no easy obvious way to upload on mobile and the uploads do not show uploads for Wikimedia - they show uploads to Wikimedia Commons.

This could be a great opportunity to turn something off and simplify this task.
If we do decide to keep it can we take the time to reflect on its value and why we have it and maintain it. Thx!

Note: https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:ListFiles/Jdlrobson would be an interesting more useful alternative to link to (note the responsive nature of the page on mobile vs desktop) for editors.

@ovasileva @alexhollender how do you feel about removing the uploads page altogether?

Are you suggesting we remove the page, or replace it with https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:ListFiles/Jdlrobson?

Removing it: I'm not opposed to removing it, though it might be worth checking the usage first.

Replacing it: also seems fine, though we'd need to fix up https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:ListFiles/Jdlrobson a bit.

I'm giving you 2 options - remove if it's not useful or change the link to something more useful. For this particular task, however I'm saying remove the link to simplify the change (dropping those blue links).

e.g.

Additionally, in order to remove the blue links currently below the toolbar, we'll need to add Uploads to the toolbar as well.

Can we remove this requirement from this task?

I'm giving you 2 options - remove if it's not useful or change the link to something more useful. For this particular task, however I'm saying remove the link to simplify the change (dropping those blue links).
e.g.

Additionally, in order to remove the blue links currently below the toolbar, we'll need to add Uploads to the toolbar as well.

Can we remove this requirement from this task?

Fine with me. Deferring to @ovasileva :)

I'm giving you 2 options - remove if it's not useful or change the link to something more useful. For this particular task, however I'm saying remove the link to simplify the change (dropping those blue links).
e.g.

Additionally, in order to remove the blue links currently below the toolbar, we'll need to add Uploads to the toolbar as well.

Can we remove this requirement from this task?

Fine with me. Deferring to @ovasileva :)

Same here

Jdlrobson updated the task description. (Show Details)Sep 24 2019, 4:39 PM
Jdlrobson updated the task description. (Show Details)Sep 24 2019, 4:45 PM
ovasileva set the point value for this task to 5.Sep 24 2019, 4:47 PM
nray added a comment.Dec 6 2019, 1:17 AM

@ovasileva @alexhollender Is the AC of this ticket to also remove the blue links for anon users on a user page or keep them as is?

From the title "Updates to user pages for all logged-in users", it sounds like the blue links should remain as is for anon users?

If so, is that so that we can still show the talk link to anon users but not have it be a tab and so that we can show the contributions link but not have it be part of the toolbar? I'm just trying to make sure I'm clear on the AC/reasoning here

@ovasileva @alexhollender Is the AC of this ticket to also remove the blue links for anon users on a user page or keep them as is?
From the title "Updates to user pages for all logged-in users", it sounds like the blue links should remain as is for anon users?
If so, is that so that we can still show the talk link to anon users but not have it be a tab and so that we can show the contributions link but not have it be part of the toolbar? I'm just trying to make sure I'm clear on the AC/reasoning here

Sort of. We're not showing the talk links or any other parts of the new navigation for anons and so it would look and feel odd if we just showed the tabs on a single page

nray updated the task description. (Show Details)Dec 6 2019, 4:43 PM
nray updated the task description. (Show Details)Dec 6 2019, 4:46 PM
nray updated the task description. (Show Details)Dec 6 2019, 5:10 PM
nray added a comment.Dec 6 2019, 5:29 PM

Thank you @ovasileva . I've added AC to the ticket to reflect this.

Change 555564 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/skins/MinervaNeue@master] Remove 'TABS_ON_SPECIALS' SkinOption from Minerva

https://gerrit.wikimedia.org/r/555564

Change 555564 abandoned by Nray:
Remove 'TABS_ON_SPECIALS' SkinOption from Minerva

Reason:
Nevermind, growth is using this

https://gerrit.wikimedia.org/r/555564

Change 555584 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/skins/MinervaNeue@master] Remove $haspageactions from MinervaTemplate

https://gerrit.wikimedia.org/r/555584

@ovasileva @nray just to further clarify: for user pages viewed by anons there should be no changes, e.g.

nray updated the task description. (Show Details)Dec 6 2019, 9:16 PM
nray updated the task description. (Show Details)
ovasileva raised the priority of this task from Medium to High.Dec 10 2019, 1:35 PM

Change 556223 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/skins/MinervaNeue@master] Add contributions icon to toolbar for logged in users on user pages

https://gerrit.wikimedia.org/r/556223

nray added a comment.EditedDec 10 2019, 9:05 PM

@alexhollender @ovasileva On user talk pages, should the contributions icon be in the toolbar for logged in users as well (and link to the same contributions page as when on the associated user page)? Is that part of T235681?

@alexhollender @ovasileva On user talk pages, should the contributions icon be in the toolbar for logged in users as well (and link to the same contributions page as when on the associated user page)? Is that part of T235681?

Yes, on user talk pages the contributions icon should be in the toolbar (the toolbar should be the same on both pages). Not sure if we need both tasks, or if we can just take care of T235681 in this task.

@alexhollender @ovasileva On user talk pages, should the contributions icon be in the toolbar for logged in users as well (and link to the same contributions page as when on the associated user page)? Is that part of T235681?

Yes, on user talk pages the contributions icon should be in the toolbar (the toolbar should be the same on both pages). Not sure if we need both tasks, or if we can just take care of T235681 in this task.

I'd say let's keep them separate for now, since this one is a bit more timely than the other.

Jdlrobson added a comment.EditedDec 11 2019, 11:31 PM

Sort of. We're not showing the talk links or any other parts of the new navigation for anons and so it would look and feel odd if we just showed the tabs on a single page

! In T232653#5719436, @alexhollender wrote:

@ovasileva @nray just to further clarify: for user pages viewed by anons there should be no changes, e.g.

I'm a little confused @nray @ovasileva @alexhollender

We show the talk and contributions link for anonymous users and logged in users. The user page has always been a special case because talking to users is extremely important.

My understanding was we were going to thus add tabs and the contributions to page actions for ALL users not just logged in users. If we remove these links it would be a regression in the experience and the current blue links approach makes no sense to me - it's clear technical debt and UX debt too no?

In the interest of consistent UI for our users (talk should always be accessible in the same way) and reducing the permutations of UI we need to test on my expectation was this is what we will display to both anonymous and logged in users and would look like this:

If we're not doing that can I ask that we pause and chat about this. I feel strongly that we shouldn't be supporting these blue links with talk and contributions:

and we already talked about this here and I thought we had agreement (https://phabricator.wikimedia.org/T232653#5519998)

The less permutations we have going into desktop changes the better.

My understanding was we were going to thus add tabs and the contributions to page actions for ALL users not just logged in users. If we remove these links it would be a regression in the experience and the current blue links approach makes no sense to me - it's clear technical debt and UX debt too no?

I think that maybe we need to discuss further in standup. We are adding tabs and contributions to logged-in users only, not to all users (as defined in T232594 and T232652, as well as in the acceptance criteria in this task.

@Jdlrobson - are you asking for the behavior on this page in particular? In which case, the concern is that since logged-in users will not see the tabs on any other page, it would be confusing to see them on a single page, although you do have a good point that this page is already an exception since we already show the links. @alexhollender - what do you think?

Discussed on slack - let's keep the tabs for user pages only for all users (logged-in and logged-out)

alexhollender renamed this task from Updates to user pages for all logged-in users to Updates to user pages for all users.Dec 12 2019, 5:00 PM
alexhollender updated the task description. (Show Details)
nray added a comment.Dec 12 2019, 11:21 PM
Anon user pageAnon user talk pageLogged in user pageLogged in user talk pageAMC user pageAMC user talk page

@ovasileva @alexhollender Please verify that the screenshots above reflect the current AC of this ticket (everything should be the same in the toolbar and overflow menu across all modes on user pages/user talk pages).

@ovasileva @alexhollender Please verify that the screenshots above reflect the current AC of this ticket (everything should be the same in the toolbar and overflow menu across all modes on user pages/user talk pages).

@nray - looks good

@ovasileva @alexhollender Please verify that the screenshots above reflect the current AC of this ticket (everything should be the same in the toolbar and overflow menu across all modes on user pages/user talk pages).

👍

Change 555584 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Remove haspageactions from MinervaTemplate templateData

https://gerrit.wikimedia.org/r/555584

Change 556223 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Resemble AMC mode for all users on user pages & user talk pages

https://gerrit.wikimedia.org/r/556223

nray updated the task description. (Show Details)Dec 16 2019, 5:41 PM
nray updated the task description. (Show Details)Dec 16 2019, 5:55 PM
nray reassigned this task from nray to Edtadros.Dec 16 2019, 6:03 PM
nray added a subscriber: nray.

@nray to update this with QA steps (i.e. not beta links, add MW focus, etc)

QA Results - beta cluster - passed

Anon

  • Ensure that the following items are in both toolbars and that they link to the right place:

User page:

✅ Items appear correctly
✅ Items link to the expected places


User talk page:

✅ Items appear correctly
✅ Items link to the expected places


Logged in (non-AMC)

  • Ensure that the following items are in both toolbars and that they link to the right place:

User page:

✅ Items appear correctly
✅ Items link to the expected places


User talk page:

✅ Items appear correctly
✅ Items link to the expected places


AMC

  • Ensure that the following items are in both toolbars and that they link to the right place:

User page:

✅ Items appear correctly
✅ Items link to the expected places

User talk page:

✅ Items appear correctly
✅ Items link to the expected places

ovasileva updated the task description. (Show Details)Dec 17 2019, 11:26 AM
ovasileva updated the task description. (Show Details)
nray updated the task description. (Show Details)Dec 17 2019, 8:22 PM
nray added a comment.EditedDec 17 2019, 8:25 PM

@ovasileva @Edtadros This is now ready to test on mediawiki.org. QA steps have been updated with new urls as well as more explicit info. @ovasileva feel free to double check the qa steps I updated, I think think they reflect what the AC should be but it probably wouldn't hurt to have another pair of eyes on it

@Edtadros FYI: I used paths instead of the full url in the General QA steps this time in an attempt to have less things to update when we qa production. The most important thing you check is the path of the page as the host (e.g. mediawiki.org) won't change when performing the steps

QA Results - Production Mediawiki - ✅ passed

Anon

  • Ensure that the following items are in both toolbars and that they link to the right place:

User page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User:OVasileva_(WMF)
    • when amc: /w/index.php?title=User:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF);
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User:OVasileva_(WMF)&oldid=2708261
    • What links here => /wiki/Special:WhatLinksHere/User:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

User talk page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User_Talk:OVasileva_(WMF)
    • when amc: /w/index.php?title=User_talk:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF)
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User_talk:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User_talk:OVasileva_(WMF)&oldid=3555778
    • What links here => /wiki/Special:WhatLinksHere/User_talk:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

Logged in (non-AMC)

  • Ensure that the following items are in both toolbars and that they link to the right place:

User page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User:OVasileva_(WMF)
    • when amc: /w/index.php?title=User:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF);
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User:OVasileva_(WMF)&oldid=2708261
    • What links here => /wiki/Special:WhatLinksHere/User:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

User talk page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User_Talk:OVasileva_(WMF)
    • when amc: /w/index.php?title=User_talk:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF)
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User_talk:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User_talk:OVasileva_(WMF)&oldid=3555778
    • What links here => /wiki/Special:WhatLinksHere/User_talk:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

AMC

  • Ensure that the following items are in both toolbars and that they link to the right place:

User page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User:OVasileva_(WMF)
    • when amc: /w/index.php?title=User:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF);
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User:OVasileva_(WMF)&oldid=2708261
    • What links here => /wiki/Special:WhatLinksHere/User:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

User talk page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User_Talk:OVasileva_(WMF)
    • when amc: /w/index.php?title=User_talk:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF)
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User_talk:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User_talk:OVasileva_(WMF)&oldid=3555778
    • What links here => /wiki/Special:WhatLinksHere/User_talk:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

Edtadros updated the task description. (Show Details)Dec 18 2019, 2:05 AM

QA Results - Production Hebrew - ✅ passed

Anon

  • Ensure that the following items are in both toolbars and that they link to the right place. Expected links are translated text:

User page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User:OVasileva_(WMF)
    • when amc: /w/index.php?title=User:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF);
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User:OVasileva_(WMF)&oldid=2708261
    • What links here => /wiki/Special:WhatLinksHere/User:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

User talk page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User_Talk:OVasileva_(WMF)
    • when amc: /w/index.php?title=User_talk:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF)
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User_talk:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User_talk:OVasileva_(WMF)&oldid=3555778
    • What links here => /wiki/Special:WhatLinksHere/User_talk:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

Logged in (non-AMC)

  • Ensure that the following items are in both toolbars and that they link to the right place:

User page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User:OVasileva_(WMF)
    • when amc: /w/index.php?title=User:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF);
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User:OVasileva_(WMF)&oldid=2708261
    • What links here => /wiki/Special:WhatLinksHere/User:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

User talk page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User_Talk:OVasileva_(WMF)
    • when amc: /w/index.php?title=User_talk:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF)
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User_talk:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User_talk:OVasileva_(WMF)&oldid=3555778
    • What links here => /wiki/Special:WhatLinksHere/User_talk:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

AMC

  • Ensure that the following items are in both toolbars and that they link to the right place:

User page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User:OVasileva_(WMF)
    • when amc: /w/index.php?title=User:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF);
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User:OVasileva_(WMF)&oldid=2708261
    • What links here => /wiki/Special:WhatLinksHere/User:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

User talk page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User_Talk:OVasileva_(WMF)
    • when amc: /w/index.php?title=User_talk:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF)
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User_talk:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User_talk:OVasileva_(WMF)&oldid=3555778
    • What links here => /wiki/Special:WhatLinksHere/User_talk:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

Edtadros updated the task description. (Show Details)Dec 19 2019, 6:15 AM
Edtadros reassigned this task from Edtadros to ovasileva.Dec 19 2019, 8:17 PM
Edtadros added a subscriber: Edtadros.

QA Results - Production English - ✅ passed

Anon

  • Ensure that the following items are in both toolbars and that they link to the right place.

User page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User:OVasileva_(WMF)
    • when amc: /w/index.php?title=User:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF);
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User:OVasileva_(WMF)&oldid=2708261
    • What links here => /wiki/Special:WhatLinksHere/User:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

User talk page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User_Talk:OVasileva_(WMF)
    • when amc: /w/index.php?title=User_talk:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF)
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User_talk:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User_talk:OVasileva_(WMF)&oldid=3555778
    • What links here => /wiki/Special:WhatLinksHere/User_talk:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

Logged in (non-AMC)

  • Ensure that the following items are in both toolbars and that they link to the right place:

User page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User:OVasileva_(WMF)
    • when amc: /w/index.php?title=User:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF);
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User:OVasileva_(WMF)&oldid=2708261
    • What links here => /wiki/Special:WhatLinksHere/User:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

User talk page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User_Talk:OVasileva_(WMF)
    • when amc: /w/index.php?title=User_talk:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF)
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User_talk:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User_talk:OVasileva_(WMF)&oldid=3555778
    • What links here => /wiki/Special:WhatLinksHere/User_talk:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

AMC

  • Ensure that the following items are in both toolbars and that they link to the right place:

User page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User:OVasileva_(WMF)
    • when amc: /w/index.php?title=User:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF);
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User:OVasileva_(WMF)&oldid=2708261
    • What links here => /wiki/Special:WhatLinksHere/User:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

User talk page:

  • Watch =>
    • when anon: a toast prompting you to login should appear;
    • when logged in or amc: should toggle the star color
  • History =>
    • when anon or logged in: /wiki/Special:History/User_Talk:OVasileva_(WMF)
    • when amc: /w/index.php?title=User_talk:OVasileva_(WMF)&action=history
  • Contributions => /wiki/Special:Contributions/OVasileva_(WMF)
  • Edit => in all cases editor overlay should open (in anon it will warn you that you are not logged in)
  • Overflow menu
    • Languages button
      • when testing mediawiki.org, the language button will be absent due to 'wgMinervaAlwaysShowLanguageButton` config
    • User groups => /wiki/Special:UserRights/OVasileva_(WMF)
    • Logs => /wiki/Special:Log/OVasileva_(WMF)
    • Page information => /w/index.php?title=User_talk:OVasileva_(WMF)&action=info
    • Permanent Link => /w/index.php?title=User_talk:OVasileva_(WMF)&oldid=3555778
    • What links here => /wiki/Special:WhatLinksHere/User_talk:OVasileva_(WMF)

✅ Items appear correctly
✅ Items link to the expected places

Edtadros updated the task description. (Show Details)Dec 19 2019, 8:18 PM
ovasileva closed this task as Resolved.Jan 6 2020, 11:51 AM